loci.plugins.util

## Class LociPrefs

- java.lang.Object
- - loci.plugins.util.LociPrefs

-     public final class LociPrefs
      extends java.lang.Object

  Utility methods for ImageJ preferences for Bio-Formats plugins.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static java.lang.String` | `PREF_CELLSENS_FAIL`
    `static java.lang.String` | `PREF_CZI_ATTACHMENT`
    `static java.lang.String` | `PREF_CZI_AUTOSTITCH`
    `static java.lang.String` | `PREF_LEICA_LIF_PHYSICAL_SIZE`
    `static java.lang.String` | `PREF_ND2_CHUNKMAP`
    `static java.lang.String` | `PREF_READER_ENABLED`
    `static java.lang.String` | `PREF_READER_WINDOWLESS`
    `static java.lang.String` | `PREF_SDT_INTENSITY`
    `static java.lang.String` | `PREF_SLICE_LABEL_BASE_INDEX`
    `static java.lang.String` | `PREF_SLICE_LABEL_PATTERN`
    `static java.lang.String` | `PREF_TIFF_IMAGEIO`

  - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `private` | `LociPrefs()`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static boolean` | `allowCZIAutostitch()`
    `private static boolean` | `getPref(java.lang.String pref, java.lang.Class<? extends IFormatReader> c, boolean defaultValue)`
    `static int` | `getSliceLabelBaseIndex()`
    `static java.lang.String` | `getSliceLabelPattern()`
    `static boolean` | `includeCZIAttachments()`
    `static boolean` | `isCellsensFailOnMissing()`
    `static boolean` | `isLeicaLIFPhysicalSizeBackwardsCompatible()`
    `static boolean` | `isReaderEnabled(java.lang.Class<? extends IFormatReader> c)`
    `static boolean` | `isSDTIntensity()`
    `static boolean` | `isTiffImageIO()`
    `static boolean` | `isWindowless(IFormatReader r)` Gets whether windowless mode should be used when opening this reader's currently initialized dataset.
    `static ImageReader` | `makeImageReader()` Creates an image reader according to the current configuration settings, including which format readers are currently enabled, as well as format-specific configuration settings.
    `static boolean` | `useND2Chunkmap()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### PREF_READER_ENABLED

          public static final java.lang.String PREF_READER_ENABLED

      See Also:
        Constant Field Values

    - #### PREF_READER_WINDOWLESS

          public static final java.lang.String PREF_READER_WINDOWLESS

      See Also:
        Constant Field Values

    - #### PREF_SDT_INTENSITY

          public static final java.lang.String PREF_SDT_INTENSITY

      See Also:
        Constant Field Values

    - #### PREF_TIFF_IMAGEIO

          public static final java.lang.String PREF_TIFF_IMAGEIO

      See Also:
        Constant Field Values

    - #### PREF_CZI_AUTOSTITCH

          public static final java.lang.String PREF_CZI_AUTOSTITCH

      See Also:
        Constant Field Values

    - #### PREF_CZI_ATTACHMENT

          public static final java.lang.String PREF_CZI_ATTACHMENT

      See Also:
        Constant Field Values

    - #### PREF_ND2_CHUNKMAP

          public static final java.lang.String PREF_ND2_CHUNKMAP

      See Also:
        Constant Field Values

    - #### PREF_LEICA_LIF_PHYSICAL_SIZE

          public static final java.lang.String PREF_LEICA_LIF_PHYSICAL_SIZE

      See Also:
        Constant Field Values

    - #### PREF_SLICE_LABEL_PATTERN

          public static final java.lang.String PREF_SLICE_LABEL_PATTERN

      See Also:
        Constant Field Values

    - #### PREF_SLICE_LABEL_BASE_INDEX

          public static final java.lang.String PREF_SLICE_LABEL_BASE_INDEX

      See Also:
        Constant Field Values

    - #### PREF_CELLSENS_FAIL

          public static final java.lang.String PREF_CELLSENS_FAIL

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### LociPrefs

          private LociPrefs()

  - ### Method Detail

    - #### makeImageReader

          public static ImageReader makeImageReader()

      Creates an image reader according to the current configuration settings, including which format readers are currently enabled, as well as format-specific configuration settings.

    - #### isWindowless

          public static boolean isWindowless(IFormatReader r)

      Gets whether windowless mode should be used when opening this reader's currently initialized dataset.

    - #### isReaderEnabled

          public static boolean isReaderEnabled(java.lang.Class<? extends IFormatReader> c)

    - #### isSDTIntensity

          public static boolean isSDTIntensity()

    - #### isTiffImageIO

          public static boolean isTiffImageIO()

    - #### allowCZIAutostitch

          public static boolean allowCZIAutostitch()

    - #### includeCZIAttachments

          public static boolean includeCZIAttachments()

    - #### useND2Chunkmap

          public static boolean useND2Chunkmap()

    - #### isLeicaLIFPhysicalSizeBackwardsCompatible

          public static boolean isLeicaLIFPhysicalSizeBackwardsCompatible()

    - #### getSliceLabelPattern

          public static java.lang.String getSliceLabelPattern()

    - #### getSliceLabelBaseIndex

          public static int getSliceLabelBaseIndex()

    - #### isCellsensFailOnMissing

          public static boolean isCellsensFailOnMissing()

    - #### getPref

          private static boolean getPref(java.lang.String pref,
                                         java.lang.Class<? extends IFormatReader> c,
                                         boolean defaultValue)

Copyright © 2026 Open Microscopy Environment